Debian Bug report logs - #290264
RM: aggregate -- RoM

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: pf@caci.it

Date: Thu, 13 Jan 2005 09:18:18 UTC

Severity: wishlist

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Simon Horman <horms@verge.net.au>:
Bug#290264; Package aggregate. Full text and rfc822 format available.

Acknowledgement sent to pf@caci.it:
New Bug report received and forwarded. Copy sent to Simon Horman <horms@verge.net.au>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pierfrancesco Caci <ik5pvx@home.tippete.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aggregate: A better version is available
Date: Thu, 13 Jan 2005 10:11:11 +0100
Package: aggregate
Version: 1.0.2-2
Severity: wishlist



Hello,
there's a better/newer version of this tool here:

ftp://ftp.isc.org/isc/aggregate

You may wish to have a look at it and consider switching sources.

I was pointed to this version when trying to get irrpt to work 
(http://sourceforge.net/projects/irrpt/), as the one that comes with 
debian doesn't work with this tool.

Thank you

Pf

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-ac2
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages aggregate depends on:
ii  libc6                       2.3.2.ds1-20 GNU C Library: Shared libraries an
ii  libpopt0                    1.7-5        lib for parsing cmdline parameters
ii  libvanessa-logger0          0.0.7-1      Generic Logging Library

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Simon Horman <horms@verge.net.au>:
Bug#290264; Package aggregate. Full text and rfc822 format available.

Acknowledgement sent to Horms <horms@debian.org>:
Extra info received and forwarded to list. Copy sent to Simon Horman <horms@verge.net.au>. Full text and rfc822 format available.

Message #10 received at 290264@bugs.debian.org (full text, mbox):

From: Horms <horms@debian.org>
To: pf@caci.it, 290264@bugs.debian.org
Subject: Re: Bug#290264: aggregate: A better version is available
Date: Fri, 14 Jan 2005 18:34:35 +0900
On Thu, Jan 13, 2005 at 10:11:11AM +0100, Pierfrancesco Caci wrote:
> Package: aggregate
> Version: 1.0.2-2
> Severity: wishlist
> 
> 
> 
> Hello,
> there's a better/newer version of this tool here:
> 
> ftp://ftp.isc.org/isc/aggregate
> 
> You may wish to have a look at it and consider switching sources.
> 
> I was pointed to this version when trying to get irrpt to work 
> (http://sourceforge.net/projects/irrpt/), as the one that comes with 
> debian doesn't work with this tool.

I am happy to withdraw aggregate from Debian, as I wrote it and
I am not sure that anyone else is using it anyway. But I am not
really that intersted in maintaining a debian package for
someone else's implementation. I have my hands full maintaining
other code anyway.

-- 
Horms



Information forwarded to debian-bugs-dist@lists.debian.org, Simon Horman <horms@verge.net.au>:
Bug#290264; Package aggregate. Full text and rfc822 format available.

Acknowledgement sent to marco@by-night.ch:
Extra info received and forwarded to list. Copy sent to Simon Horman <horms@verge.net.au>. Full text and rfc822 format available.

Message #15 received at 290264@bugs.debian.org (full text, mbox):

From: Marco Huggenberger <huggenberger@gmail.com>
To: 290264@bugs.debian.org
Cc: pf@caci.it, horms@debian.org
Subject: Bug#290264: aggregate: A better version is available
Date: Tue, 8 Nov 2005 23:31:12 +0100
Hi Guys

I've just talked to Richard A. Steenbergen, the maintainer of  IRR
Power Tools which require:
* Aggregate    >= 1.5     (ftp://ftp.isc.org/isc/aggregate/)

The "Aggregate" Package on Debian which is mainly for "CIDR network
aggregation and filtering" and ISC Aggregate is mainly for "optimise a
list of route prefixes to help make nice short filters".

Horms, would it be possible for you to remove or rename your
"aggregate" package to something less irritating then aggregate which
is used by ISC.org for it's maintained package which is used by other
Tools like IRR Power Tools?

For most of debian users it might be very confusing, that debian
aggregate is not the same what you get from ISC and vice versa. If you
think your package should remain on debian, I would like to suggest to
rename it to cidr-aggregate or something similar. Anyhow, you talked
about your workload and the usabilty of this package.

So I would be very happy if you could clear this things out and do it
the debian way ;)

Best regards

Marco Huggenberger, Switzerland



Information forwarded to debian-bugs-dist@lists.debian.org, Simon Horman <horms@verge.net.au>:
Bug#290264; Package aggregate. Full text and rfc822 format available.

Acknowledgement sent to Horms <horms@debian.org>:
Extra info received and forwarded to list. Copy sent to Simon Horman <horms@verge.net.au>. Full text and rfc822 format available.

Message #20 received at 290264@bugs.debian.org (full text, mbox):

From: Horms <horms@debian.org>
To: marco@by-night.ch
Cc: 290264@bugs.debian.org, pf@caci.it, control@bugs.debian.org
Subject: Re: Bug#290264: aggregate: A better version is available
Date: Wed, 9 Nov 2005 12:06:55 +0900
reassign 290264 ftp.debian.org
retitle 290264 please remove aggregate from the archive
thanks

On Tue, Nov 08, 2005 at 11:31:12PM +0100, Marco Huggenberger wrote:
> Hi Guys
> 
> I've just talked to Richard A. Steenbergen, the maintainer of  IRR
> Power Tools which require:
> * Aggregate    >= 1.5     (ftp://ftp.isc.org/isc/aggregate/)
> 
> The "Aggregate" Package on Debian which is mainly for "CIDR network
> aggregation and filtering" and ISC Aggregate is mainly for "optimise a
> list of route prefixes to help make nice short filters".
> 
> Horms, would it be possible for you to remove or rename your
> "aggregate" package to something less irritating then aggregate which
> is used by ISC.org for it's maintained package which is used by other
> Tools like IRR Power Tools?
> 
> For most of debian users it might be very confusing, that debian
> aggregate is not the same what you get from ISC and vice versa. If you
> think your package should remain on debian, I would like to suggest to
> rename it to cidr-aggregate or something similar. Anyhow, you talked
> about your workload and the usabilty of this package.
> 
> So I would be very happy if you could clear this things out and do it
> the debian way ;)

I'm not maintaining aggregate much any more, so I'm happy to
make way for something healthier. This mail should effect that.

For the record, I still think aggregate is an appropriate name
for my code, though as ISC used it first, which I was not aware
of at the time, I'll think of renaming it if I ever make
another release.



Bug reassigned from package `aggregate' to `ftp.debian.org'. Request was from Horms <horms@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Horms <horms@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to pf@caci.it:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 290264-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 290264-close@bugs.debian.org
Cc: aggregate@packages.debian.org, aggregate@packages.qa.debian.org
Subject: Bug#290264: fixed
Date: Sun, 20 Nov 2005 07:52:26 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

 aggregate |    1.0.2-2 | source, alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 290264@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 12:43:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:43:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.